<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">

  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>
  <xsl:include href="help-common.xsl"/>
  <xsl:include href="query-common.xsl"/>
  <xsl:include href="service-params.xsl"/>
  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title><xsl:value-of select="/page/pageResponse/collection/displayItem[@name='name']"/><xsl:text> </xsl:text></title>
    </head>
    <xsl:call-template name="headScript"/>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
<!--    <center>-->
      <xsl:apply-templates select="collection"><xsl:with-param name="collName" select="$collName"/></xsl:apply-templates>
    <!--</center>-->
  </xsl:template>

  <xsl:template match="collection">
    <xsl:param name="collName"/>
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
      <xsl:with-param name="pageType">about</xsl:with-param>
    </xsl:call-template>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <xsl:apply-templates select="serviceList/service[@name='TextQuery']">
      <xsl:with-param name="collName" select="$collName"/></xsl:apply-templates>
    <xsl:call-template name="dividerBar"/>
    <h3><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.aboutcoll')"/></h3>
    <table><tr><td><xsl:value-of select="displayItem[@name='description']" disable-output-escaping='yes'/></td></tr></table>
    <p />
    <xsl:apply-templates select="." mode="simplehelp"/>
  </xsl:template>


</xsl:stylesheet>  

