<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:java="http://xml.apache.org/xslt/java"
  xmlns:util="xalan://org.greenstone.gsdl3.util.XSLTUtil"
  extension-element-prefixes="java util"
  exclude-result-prefixes="java util">
  
  <!-- style includes global params interface_name, library_name -->
  <xsl:include href="style.xsl"/>
  
  <xsl:output method="html"/>  

  <xsl:template name="pageHead">
    <head>
      <title>
	<xsl:value-of select="/page/pageResponse/*/displayItem[@name='name']"/><xsl:text> </xsl:text>
      </title>
    </head>
  </xsl:template>

  <xsl:template match="pageResponse">
    <xsl:variable name="collName" select="/page/pageRequest/paramList/param[@name='c']/@value"/>
    <xsl:apply-templates select="collection|serviceCluster"><xsl:with-param name="collName" select="$collName"/></xsl:apply-templates>
  </xsl:template>
  
  <xsl:template match="collection|serviceCluster">
    <xsl:param name="collName"/>
    <xsl:call-template name="standardPageBanner">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>
    <xsl:call-template name="navigationBar">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:call-template>      
    <p/><xsl:value-of select="displayItem[@name='description']" disable-output-escaping="yes"/>
    <p/><xsl:apply-templates select="serviceList">
      <xsl:with-param name="collName" select="$collName"/>
    </xsl:apply-templates>
  </xsl:template>
  
  
  <xsl:template match="serviceList">
    <xsl:param name="collName"/>
    <h2><xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.services')"/></h2>
    <xsl:choose>
      <xsl:when test="service">
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.servicehelp')"/>
      </xsl:when>
      <xsl:otherwise>
	<xsl:value-of select="util:getInterfaceText($interface_name, /page/@lang, 'about.noservices')"/>
      </xsl:otherwise>
    </xsl:choose>
      <p/>
    <xsl:if test="service">
      <table border='0' cellspacing='4'>
	<xsl:for-each select="service">
	  <xsl:variable name="action"><xsl:choose>
	      <xsl:when test="@type='query'">q</xsl:when>
	      <xsl:when test="@type='browse'">b</xsl:when>
	      <xsl:when test="@type='process'">pr</xsl:when>
	      <xsl:when test="@type='applet'">a</xsl:when>
	      <xsl:otherwise>DO_NOT_DISPLAY</xsl:otherwise>
	    </xsl:choose></xsl:variable>
	  <xsl:if test="$action !='DO_NOT_DISPLAY'">
	    <tr><td xsl:use-attribute-sets="td-brownbutton"><a style="text-decoration:none" href="{$library_name}?a={$action}&amp;rt=d&amp;s={@name}&amp;c={$collName}"><b><font color='{$colour-button-text}'><xsl:value-of select="displayItem[@name='name']"/></font></b></a></td><td><xsl:value-of select="displayItem[@name='description']"/></td></tr>
	  </xsl:if>
	</xsl:for-each>
      </table>
    </xsl:if>
    <xsl:call-template name="dividerBar"/>
  </xsl:template>


</xsl:stylesheet>  

